import { jsx as _jsx } from "react/jsx-runtime";
import { useEffect } from 'react';
import { useDebounce } from 'usehooks-ts';
import { TextInput } from '@contentful/f36-components';
import useSearchReducer from './useSearchReducer';
const SearchBar = (props) => {
    const { groupFilters, filterFacets, onSearch, searchTitle, placeholder } = props;
    const initialState = {
        selectedGroupFilter: !!groupFilters?.length ? groupFilters[0].value : '',
        searchValue: '',
        selectedFilterFacets: [],
    };
    const { searchState, onSearchInput } = useSearchReducer(initialState);
    const searchDebounce = useDebounce(searchState, 300);
    const handleSearch = () => {
        onSearch(searchState);
    };
    useEffect(handleSearch, [searchDebounce]);
    return (_jsx(TextInput, { id: "search-input", type: "text", value: searchState.searchValue, placeholder: placeholder || 'Search', title: searchTitle || 'Search', "aria-label": searchTitle || 'Search', onChange: onSearchInput }));
};
export default SearchBar;
